Booklinker.API

<back to all web services

PutLinkUpdateRequest

Requires Authentication
The following routes are available for this service:
PUT/v1/links
PutLinkUpdateRequest Parameters:
NameParameterData TypeRequiredDescription
BaseCodebodystringNo
DomainbodystringNo
VanityCodebodystringNo
NewUrlbodystringNo
PutLinkUpdateResponse Parameters:
NameParameterData TypeRequiredDescription
SuccessformboolNo
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /v1/links HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	baseCode: String,
	domain: String,
	code: String,
	url: String
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	success: False,
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}